## How to contribute to Workarea

#### Did you find a bug?

* **Do not open up a GitHub issue if the bug is a security vulnerability
  in Workarea**, and instead to refer to our [security policy](https://developer.workarea.com/articles/security-policy.html).

* **Ensure the bug was not already reported** by searching on GitHub
  under [Issues](https://github.com/workarea-commerce/workarea/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/workarea-commerce/workarea/issues/new)
  Be sure to include a **title and clear description**, as much relevant
  information as possible, and a **code sample** or an **executable test
  case** demonstrating the expected behavior that is not occurring.

* For more detailed information on submitting a bug report and creating
  an issue, check out the [Report a Bug](https://developer.workarea.com/articles/report-a-bug.html) guide.

#### Did you write a patch that fixes a bug?

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution.
  Include the relevant issue number if applicable.

* Before submitting, please read the [Contributing Code](https://developer.workarea.com/articles/contributing-code.html)
  guide to know more about coding conventions and benchmarks.

#### Did you fix whitespace, format code, or make a purely cosmetic patch?

Changes that are purely cosmetic in nature, and do not add anything
substantial to the stability, functionality, or testability of the
Workarea platform will not be accepted. This is to prevent unnecessary
churn and additional diff-reading work for implementers who wish to
upgrade to the latest version.

#### Do you want to contribute to the Workarea documentation?

* Please read [Contributing Documentation](https://developer.workarea.com/articles/contributing-documentation.html).

Thanks!

The Workarea Core Team
