---
title: Workarea 3.1.7
excerpt: Renames MongoDB indexes whose autogenerated names may be too long for MongoDB (depending on the Workarea application or plugin name).
---

# Workarea 3.1.7

## Renames MongoDB Indexes that May Be Too Long

Renames MongoDB indexes whose autogenerated names may be too long for MongoDB (depending on the Workarea application or plugin name).

**For these changes to be applied in an existing environment, you must re-create the affected (or all) MongoDB indexes.** Mongoid provides several tasks for managing indexes.

```bash
$ bin/rails -T indexes
rails db:mongoid:create_indexes # Create the indexes defined on your mongoid models
rails db:mongoid:remove_indexes # Remove the indexes defined on your mongoid models without questions
rails db:mongoid:remove_undefined_indexes # Remove indexes that exist in the database but aren't specified on the models
```

### Commits

- [0f771141d12ae7241f8dd3a7df9ef3f915be61e6](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/0f771141d12ae7241f8dd3a7df9ef3f915be61e6)
- [bda5561be61cd95b664f032e513927323eaad26c](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/bda5561be61cd95b664f032e513927323eaad26c)

## Updates Redis Rack Cache Dependency to Satisfy Bundler Audit

Updates the [redis-rack-cache](https://rubygems.org/gems/redis-rack-cache) gem dependency to satisfy Bundler Audit, which runs in continuous integration environments. See [Discourse post](https://discourse.weblinc.com/t/bundler-audit-cve-2017-1000248-build-failures) for details.

### Issues

- [ECOMMERCE-5513](https://jira.tools.weblinc.com/browse/ECOMMERCE-5513)

### Pull Requests

- [2980](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2980/overview)

### Commits

- [f353a9be49e54a3ca92f8977d6be4f94f42a8939](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/f353a9be49e54a3ca92f8977d6be4f94f42a8939)
- [756acdddfc407583d93cd80d4bd1fe11cab029ff](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/756acdddfc407583d93cd80d4bd1fe11cab029ff)

## Fixes Missing SVGs in Production

Adds additional asset finder to fix missing SVG icons in non-development environments.

### Issues

- [ECOMMERCE-5331](https://jira.tools.weblinc.com/browse/ECOMMERCE-5331)

### Pull Requests

- [2884](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2884/overview)

### Commits

- [43fb5a37dc6798c300456c99f48a26a0fcc753af](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/43fb5a37dc6798c300456c99f48a26a0fcc753af)
- [f4dc90dfdd87b70237888e4cefdeabf56c898ad5](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/f4dc90dfdd87b70237888e4cefdeabf56c898ad5)
- [bda5561be61cd95b664f032e513927323eaad26c](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/bda5561be61cd95b664f032e513927323eaad26c)

## Fixes Option Selection in Generic Product Template

Changes `ProductViewModel#cache_key` in the Storefront to resolve reports of users unable to change the options within the generic product template under certain circumstances.

### Issues

- [ECOMMERCE-4886](https://jira.tools.weblinc.com/browse/ECOMMERCE-4886)

### Pull Requests

- [2923](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2923/overview)

### Commits

- [d34c9923019ca7d0273d8e22710e7747fd8037d1](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/d34c9923019ca7d0273d8e22710e7747fd8037d1)
- [217c4e411ce6aed8ec5bf2737e630ed840967e90](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/217c4e411ce6aed8ec5bf2737e630ed840967e90)
- [bda5561be61cd95b664f032e513927323eaad26c](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/bda5561be61cd95b664f032e513927323eaad26c)

## Fixes Re-Initialization of Remote Selects

Destroys remote selects in the Admin before saving the DOM into the Turbolinks cache to prevent re-initializing the same elements.

### Issues

- [ECOMMERCE-5332](https://jira.tools.weblinc.com/browse/ECOMMERCE-5332)

### Pull Requests

- [2971](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2971/overview)

### Commits

- [3c0b0f45bfe4ef12fa10fe9842f9895370eedb32](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/3c0b0f45bfe4ef12fa10fe9842f9895370eedb32)
- [15a2c86a897dcfec9292662f72f61197aabb3a20](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/15a2c86a897dcfec9292662f72f61197aabb3a20)
- [bc43209b7320fa6cc1b25af5c6f49fc135077bad](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/bc43209b7320fa6cc1b25af5c6f49fc135077bad)

## Fixes Search Boosts for Products with No Views Score

Modifies the product search query to fix boosts having no effect when `views_score` is zero.

### Issues

- [ECOMMERCE-5508](https://jira.tools.weblinc.com/browse/ECOMMERCE-5508)

### Commits

- [c6c0e4cd1c5d16b8ffebe95fa4ba4f658075238b](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/c6c0e4cd1c5d16b8ffebe95fa4ba4f658075238b)

## Handles Empty Bulk Actions

Displays a validation error in the Admin for an empty bulk action instead of raising an exception.

### Issues

- [ECOMMERCE-5306](https://jira.tools.weblinc.com/browse/ECOMMERCE-5306)

### Pull Requests

- [2932](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2932/overview)
- [2961](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2961/overview)

### Commits

- [c66d8435d58e175a3b351e12f47a364362d38130](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/c66d8435d58e175a3b351e12f47a364362d38130)
- [7704cef0245aa10b4c67c23ab155c7873fefc05e](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/7704cef0245aa10b4c67c23ab155c7873fefc05e)
- [bda5561be61cd95b664f032e513927323eaad26c](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/bda5561be61cd95b664f032e513927323eaad26c)
- [46e223ba4a46802edc0d469a9d0e192f35f8ad77](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/46e223ba4a46802edc0d469a9d0e192f35f8ad77)
- [bcdd001d8defb5dab63a88f6ed111b271481163f](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/bcdd001d8defb5dab63a88f6ed111b271481163f)

## Fixes Class Value Typo Within Checkout Progress Component

Fixes a typo within the `checkout-progress__link` element of the `checkout-progress` component in the Storefront.

### Issues

- [ECOMMERCE-5490](https://jira.tools.weblinc.com/browse/ECOMMERCE-5490)

### Commits

- [5a83fe45dc999770f05a8f28ba4d74a1344a8d2b](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/5a83fe45dc999770f05a8f28ba4d74a1344a8d2b)
- [61ba0fcd238380cb2c71c7132d12e2e313f1f9e0](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/61ba0fcd238380cb2c71c7132d12e2e313f1f9e0)

## Fixes Rendering of Admin Help

Fixes rendering of some Admin help pages, which were displaying with escaped HTML elements.

### Issues

- [ECOMMERCE-5481](https://jira.tools.weblinc.com/browse/ECOMMERCE-5481)

### Pull Requests

- [2981](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2981/overview)

### Commits

- [b05e81f0fd590d1f3af5c63960bc8ed203262853](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/b05e81f0fd590d1f3af5c63960bc8ed203262853)
- [1d491c147837b44160af08577580cc2c62297267](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/1d491c147837b44160af08577580cc2c62297267)

## Fixes Style Guide for Category Summary Content Block

Adds a missing class value to the style guide for the _category-summary-content-block_ component in the Storefront.

### Issues

- [ECOMMERCE-5371](https://jira.tools.weblinc.com/browse/ECOMMERCE-5371)

### Pull Requests

- [2963](https://stash.tools.weblinc.com/projects/WL/repos/workarea/pull-requests/2963/overview)

### Commits

- [fdae054089f3391f7ef5413d6f4b3ae321461097](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/fdae054089f3391f7ef5413d6f4b3ae321461097)
- [a498ca676454eeca1c5e453ffd2e6f3a8aaea4bb](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/a498ca676454eeca1c5e453ffd2e6f3a8aaea4bb)
- [61ba0fcd238380cb2c71c7132d12e2e313f1f9e0](https://stash.tools.weblinc.com/projects/WL/repos/workarea/commits/61ba0fcd238380cb2c71c7132d12e2e313f1f9e0)
